Bug 167001 - [USB] [PATCH] add support for Smart G2 64MB memory key
Summary: [USB] [PATCH] add support for Smart G2 64MB memory key
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oleksandr Tymoshenko
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2012-04-16 17:00 UTC by Daan Vreeken [PA4DAN]
Modified: 2019-02-03 21:17 UTC (History)
1 user (show)

See Also:


Attachments
usb-smartg2-memkey64m-2012-04-16.diff (1.32 KB, patch)
2012-04-16 17:00 UTC, Daan Vreeken [PA4DAN]
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daan Vreeken [PA4DAN] 2012-04-16 17:00:24 UTC
Without this patch, the SmartG2 Memory key USB stick fails to attach with the
following in dmesg:

 ugen0.2: <SMART G2> at usbus0
 umass0: <SMART G2 Dell Memory Key, class 0/0, rev 2.00/0.01, addr 2> on usbus0
...
 (da0:umass-sim0:0:0:0): got CAM status 0x4
 (da0:umass-sim0:0:0:0): fatal error, failed to attach to device
 (da0:umass-sim0:0:0:0): lost device
 (da0:umass-sim0:0:0:0): removing device entry

Fix: After applying the patch below, the stick will attach successfully with the
following dmesg output:

 ugen0.2: <SMART G2> at usbus0
 umass0: <SMART G2 Dell Memory Key, class 0/0, rev 2.00/0.01, addr 2> on usbus0
 da0 at umass-sim0 bus 0 scbus0 target 0 lun 0
 da0: <  > Removable Direct Access SCSI-2 device 
 da0: 1.000MB/s transfers
 da0: 61MB (125952 512 byte sectors: 64H 32S/T 61C)

	

In case the diff gets mangled in the mail, the diff can also be downloaded
from:
	http://www.vitsch.nl/pub_diffs/

Sponsored by: Vitsch Electronics
How-To-Repeat: Insert a Smart G2 Memory key USB stick into a FreeBSD machine without the
following patch.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-04-16 17:36:51 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-usb

reassign.
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:58:39 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 commit-hook freebsd_committer 2019-01-16 22:30:23 UTC
A commit references this bug:

Author: gonzo
Date: Wed Jan 16 22:29:34 UTC 2019
New revision: 343106
URL: https://svnweb.freebsd.org/changeset/base/343106

Log:
  [usb] Add quirk for SmartG2 USB memory key

  PR:		167001
  Submitted by:	Daan Vreeken [PA4DAN] <Daan@vitsch.nl>
  MFC after:	1 week

Changes:
  head/sys/dev/usb/quirk/usb_quirk.c
  head/sys/dev/usb/usbdevs
Comment 4 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-16 22:31:14 UTC
Patch was committed to HEAD. Thanks for submitting it.
Comment 5 commit-hook freebsd_committer 2019-02-03 21:17:32 UTC
A commit references this bug:

Author: gonzo
Date: Sun Feb  3 21:17:27 UTC 2019
New revision: 343721
URL: https://svnweb.freebsd.org/changeset/base/343721

Log:
  MFC r343106:

  [usb] Add quirk for SmartG2 USB memory key

  PR:		167001
  Submitted by:	Daan Vreeken [PA4DAN] <Daan@vitsch.nl>

Changes:
_U  stable/12/
  stable/12/sys/dev/usb/quirk/usb_quirk.c
  stable/12/sys/dev/usb/usbdevs